#!/bin/bash

# Variables
service_name="minerstat-hub.service"
service_file="/etc/systemd/system/${service_name}"
hub_path=$(pwd)
hub_executable="$hub_path/hub-server"

# To start
# Run: sudo chmod +x hub-service.sh && sudo bash hub-service.sh

# Create the Systemd unit file
sudo bash -c "cat > $service_file <<EOF
[Unit]
Description=minerstat ASIC-HUB

[Service]
WorkingDirectory=$hub_path
User=root
Group=root
ExecStart=$hub_executable
Restart=always

[Install]
WantedBy=multi-user.target
EOF"

# Set permission
sudo chmod +x $hub_executable

# Reload the Systemd manager configuration
sudo systemctl daemon-reload

# Enable the service to start on boot
sudo systemctl enable $service_name

# Start the service
sudo systemctl start $service_name

# Check the status of the service
sudo systemctl status $service_name
