#!/bin/sh

# Moving to folder (making sure)
cd /root/asic-cargo/electron

# Install and fix
sudo npm install
sudo npm audit fix

# Electron v11 Install
sudo npm install electron@11.0.0

# Build hub-client for Linux x86_64
electron-packager . hub --overwrite --platform=linux --arch=x64 --icon=asset/1024x1024.png --prune=true --out=release-builds

# Build hub-client for
electron-packager . hub --overwrite --platform=linux --arch=arm64 --icon=asset/1024x1024.png --prune=true --out=release-builds

# Old electron for raspberry
sudo npm install -g electron@1.7.9

# Build hub-client for Linux ARM64
electron-packager . hub --overwrite --platform=linux --arch=armv7l --icon=asset/1024x1024.png --prune=true --out=release-builds

# Moving binaries
sudo mv release-builds/hub-linux-arm64/hub release-builds/hub-linux-arm64/hub-client
sudo mv release-builds/hub-linux-armv7l/hub release-builds/hub-linux-armv7l/hub-client
sudo mv release-builds/hub-linux-x64/hub release-builds/hub-linux-x64/hub-client

# Zip up to download
zip -r linux_gui_builds.zip release-builds
